Bug 1608984 - [RFE] support shared_non_ops as Kibana index mode
Summary: [RFE] support shared_non_ops as Kibana index mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.11.0
Assignee: Borja
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks: 1609811 1609813
TreeView+ depends on / blocked
 
Reported: 2018-07-26 16:10 UTC by Borja
Modified: 2018-10-11 07:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Allow users in a non-ops EFK cluster to share the default index in Kibana, in order to share queries, dashboards, etc.
Clone Of:
: 1609811 1609813 (view as bug list)
Environment:
Last Closed: 2018-10-11 07:22:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/openshift openshift-ansible pull 9353 None None None 2019-11-21 12:28:56 UTC
Red Hat Product Errata RHBA-2018:2652 None None None 2018-10-11 07:22:45 UTC

Description Borja 2018-07-26 16:10:59 UTC
Description of problem:
openshift-ansible installer only supports shared_ops and unique  as kibana index method. [1][2]

From 2.4.4 and higher, the openshift-elasticsearch-plugins allows shared_non_ops as index mode. [3]

This RFE pretends to bring this shared_non_ops index mode to the openshift-ansible EFK install playbook.

[1] https://github.com/openshift/openshift-ansible/blob/58cfa4101c721156ab013ee1b6ae027d3be9682d/roles/openshift_logging_elasticsearch/vars/main.yml
[2] https://github.com/openshift/openshift-ansible/blob/3b5c95809050480d9fca5f5f98f95e84c4d28882/roles/openshift_logging_elasticsearch/tasks/main.yaml
[3] https://github.com/fabric8io/openshift-elasticsearch-plugin/blob/master/src/main/java/io/fabric8/elasticsearch/plugin/KibanaIndexMode.java

This seems to be achievable, at least in 3.9, (I haven't checked any prior version)
In 3.9, using the image logging-elasticsearch:v3.9.33, the included plugin is:
/usr/share/java/openshift-elasticsearch-plugin/lib/openshift-elasticsearch-plugin-2.4.4.22--redhat-1.jar

Version-Release number of selected component (if applicable):
3.9

Comment 2 Anping Li 2018-09-05 04:41:03 UTC
The kibana can be shared between non-ops user. so move to verified.

Note that: the dashboard can be modified by anyone in shared_non_ops.  be cautious when enable this future.

Comment 4 errata-xmlrpc 2018-10-11 07:22:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2652


Note You need to log in before you can comment on or make changes to this bug.